Subject: Re: Sound on an iBook?

From: Ethan Benson <[email-masked]>
Date: Mon, 11 Dec 2000 01:46:41 -0900

On Mon, Dec 11, 2000 at 09:30:49AM +0100, Christof Petig wrote:
> 
> Benjamin Herrenschmidt wrote:
> 
> > >The link is dead, but
> > >http://www.micronas.com/products/documentation/consumer/dac3550a/index.php
> > >works for me well.
> > >
> > >Thank you very much for this information!
> >
> > Enclosed is Darwin's source for the audio and the I2C controller.
> >
> > You'll notice that they have 2 copies of the I2C code (one in the
> > audio driver itself and one separate). A quick look shows they are
> > identical (or very similar), but you should diff them to be sure.
> >
> > Ben.
> >
> >   ------------------------------------------------------------------------
> >                   Name: Archive.sit
> >    Archive.sit    Type: Macintosh StuffIt Archive (application/x-stuffit)
> >               Encoding: base64
> 
> Thank you very much!
> 
> Darwin is GPL, isn't it? So I can copy and modify the code for linux-kernel?

it most certainly is not, Darwin is under a non-free licence known as
the APSL.  it is not compatible with the GPL and may not be used in
any GPLed projects.  it is not free software.

-- 
Ethan Benson
http://www.alaska.net/~erbenson/